<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>Puzzled Monkey Games</title>
	<style type="text/css">
		#games {
			font-size: 11px;
			font-family: Tahoma;
		}
		
		#games .log {
			color: Gray;
			margin: 5px;
		}
	</style>
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js"></script>
	<script type="text/javascript">
	
		function getUpdate() {
			$.ajax({
				url: 'get_update.php',
				dataType: 'json',
				
				success: function(data) {
					$('#games').empty();
					
					var i = 0;

					$.each(data, function(id, game) {
						var li = $(document.createElement('li'));
						
						$('#games').append(li.html('ID: ' + game.id + ' last_update: ' + game.last_update + ' number of players: ' + game.players));
						
						var div = $(document.createElement('div')).addClass('log');

						$.each(game.logs, function(id, log) {
							div.append($(document.createElement('div')).html('player: ' + log.player + ' command: ' + log.command + ' (' + log.date + ')'));
						});
						
						li.append(div);
					});
				}
			});
			
			setTimeout(getUpdate, 200);
		}
	
		$(document).ready(function() {
			getUpdate();
		});
	
	</script>
</head>
<body>

	<ul id="games">
	</ul>

</body>
</html>